Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.table.edapt._140to150
Class AddedDMRToTableDMRMigration

    java.lang.Object
      org.eclipse.emf.edapt.migration.CustomMigration
          org.eclipse.emf.ecp.view.table.edapt._140to150.AddedDMRToTableDMRMigration

    public class AddedDMRToTableDMRMigration

extends org.eclipse.emf.edapt.migration.CustomMigration

Before 1.5.0 a table domain model reference was simply a subclass of feature path domain model reference. This made it impossible to use a different dmr to reach the multi reference. Starting with 1.5.0. it is possible to set a different dmr leading to the multi reference on the table dmr. This migration creates a feature path dmr with the old values on the table.

Author:
  jfaltermeier

Constructor Summary
`AddedDMRToTableDMRMigration()`

Method Summary
`void` | `migrateAfter(org.eclipse.emf.edapt.spi.migration.Model model, org.eclipse.emf.edapt.spi.migration.Metamodel metamodel)`

Methods inherited from class org.eclipse.emf.edapt.migration.CustomMigration
`migrateBefore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddedDMRToTableDMRMigration

    public AddedDMRToTableDMRMigration()

Method Detail

### migrateAfter

    public void migrateAfter(org.eclipse.emf.edapt.spi.migration.Model model,
                             org.eclipse.emf.edapt.spi.migration.Metamodel metamodel)
                      throws org.eclipse.emf.edapt.migration.MigrationException

  Overrides:
    `migrateAfter` in class `org.eclipse.emf.edapt.migration.CustomMigration`
  Throws:
    `org.eclipse.emf.edapt.migration.MigrationException`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.